Sameer Siruguri

My Blog

Ruby and Rails on Mountain Lion: Having Problems?

I started following the remarkable guide over on Created By Pete, but ran into some problems.

When you install Ruby via rbenv, it needs OpenSSL, and it appears that you need to install the version that Homebrew gives you:

brew install openssl

The installation notes that this version might conflict with the version that’s already installed with OSX:

Generally there are no consequences of this for you. If you build your
own software and it requires this formula, you’ll need to add to your
build variables:
LDFLAGS:  -L/usr/local/opt/openssl/lib
CPPFLAGS: -I/usr/local/opt/openssl/include

This didn’t fix anything, so I searched again on the Internet looking for whether I could just use RVM. I moved on to following the instructions on Moncef Belyamani’s site instead.

I realized that I had some sort of default Ruby installation so while the instructions on Belyamani’s site expected that the installation of RVM and the subsequent install of Ruby 2.0.0p0 would yield 2.0.0p0 with a ruby -v, instead I got 1.9.3.

So you use rvm default:
rvm –default use 2.0.0

Single Post Navigation

Leave a Reply

Your email address will not be published. Required fields are marked *